datacache <- new.env(hash=TRUE, parent=emptyenv())

LAPOINTE <- function() showQCData("LAPOINTE", datacache)
LAPOINTE_dbconn <- function() dbconn(datacache)
LAPOINTE_dbfile <- function() dbfile(datacache)
LAPOINTE_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
LAPOINTE_dbInfo <- function() dbInfo(datacache)

LAPOINTEORGANISM <- "Homo sapiens"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "LAPOINTE.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.HUMANCHIP_DB("LAPOINTE", "chip LAPOINTE", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(LAPOINTE_dbconn())
}

